package com.miaxis.traffic.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 标示分类对象 traffic_sign_class
 *
 * @author miaxis
 * @date 2023-05-30
 */
@Data
@TableName("traffic_sign_class")
@ApiModel(value = "TrafficSignClass", description = "标示分类对象 traffic_sign_class")
public class TrafficSignClass extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 标志分类名称 */
    @Excel(name = "标志分类名称")
    @TableField("sign_class_name")
    @ApiModelProperty(value = "标志分类名称")
    private String signClassName;

    /** 排序 */
    @Excel(name = "排序")
    @TableField("seq")
    @ApiModelProperty(value = "排序")
    private Long seq;

    /** 标志分类图片URL */
    @Excel(name = "标志分类图片URL")
    @TableField("sign_url")
    @ApiModelProperty(value = "标志分类图片URL")
    private String signUrl;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setSignClassName(String signClassName){
        this.signClassName = signClassName;
    }

    public String getSignClassName(){
        return signClassName;
    }
    public void setSeq(Long seq){
        this.seq = seq;
    }

    public Long getSeq(){
        return seq;
    }
    public void setSignUrl(String signUrl){
        this.signUrl = signUrl;
    }

    public String getSignUrl(){
        return signUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("signClassName", getSignClassName())
            .append("seq", getSeq())
            .append("signUrl", getSignUrl())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
